#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_JumpCFGData
{
	//key
	int mID;
	//类型
	int mType;
	//Icon1
	std::string m图标1;
	//Icon2
	std::string m图标2;
	//Icon3
	std::string m图标3;
	//Icon4
	std::string m图标4;
};

class Fish_JumpCFG
{
public:
private:
	static std::auto_ptr<Fish_JumpCFG> msSingleton;
public:
	int GetCount();
	const Fish_JumpCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_JumpCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_JumpCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_JumpCFGData> mMapData;
};
